# $Revision: 1.21 $, $Date: 2009/10/08 04:57:03 $
Summary:	xauth - X authority file utility
Summary(pl.UTF-8):	xauth - narzędzie do plików X authority
Name:		xorg-app-xauth
Version:	1.0.4
Release:	1
License:	MIT
Group:		X11/Applications
Source0:	http://xorg.freedesktop.org/releases/individual/app/xauth-%{version}.tar.bz2
# Source0-md5:	fa00078c414c4a57cab7a6d89a0c8734
URL:		http://xorg.freedesktop.org/
BuildRequires:	autoconf >= 2.57
BuildRequires:	automake
BuildRequires:	pkgconfig >= 1:0.19
BuildRequires:	xorg-lib-libXau-devel
BuildRequires:	xorg-lib-libXext-devel
# just xmuu
BuildRequires:	xorg-lib-libXmu-devel
BuildRequires:	xorg-lib-xtrans-devel
BuildRequires:	xorg-util-util-macros >= 1.3
Obsoletes:	X11-xauth < 1:7.0.0
Obsoletes:	XFree86-xauth < 1:7.0.0
Obsoletes:	xauth < 1:7.0.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The xauth program is used to edit and display the authorization
information used in connecting to the X server. This program is
usually used to extract authorization records from one machine and
merge them in on another (as is the case when using remote logins or
granting access to other users).

%description -l pl.UTF-8
Program xauth służy do edycji i wyświetlania informacji
autoryzacyjnych używanych przy łączeniu z X serwerem. Ten program
przeważnie jest używany do wyciągania rekordów autoryzacji z jednej
maszyny i dołączania ich na innej (w celu umożliwienia zdalnego
logowania lub udostępnienia innym użytkownikom).

%prep
%setup -q -n xauth-%{version}

%build
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc COPYING ChangeLog README
%attr(755,root,root) %{_bindir}/xauth
%{_mandir}/man1/xauth.1x*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: xorg-app-xauth.spec,v $
Revision 1.21  2009/10/08 04:57:03  qboosh
- updated util-macros version
- added README to doc

Revision 1.20  2009/09/22 06:45:22  arekm
- up to 1.0.4

Revision 1.19  2008/03/06 22:35:26  qboosh
- BR: util-macros 1.1

Revision 1.18  2008-03-06 22:11:27  arekm
- up to 1.0.3

Revision 1.17  2007/02/19 16:32:02  arekm
- rebuild to fix FileDigestParameterized issue

Revision 1.16  2007/02/12 22:09:23  glen
- tabs in preamble

Revision 1.15  2007/02/12 01:06:39  baggins
- converted to UTF-8

Revision 1.14  2007/01/06 22:47:46  arekm
- obsolete only Ac version of X11 so metapackage-xorg will have a chance to work

Revision 1.13  2006/12/13 01:09:29  arekm
- up to 1.0.2

Revision 1.12  2006/10/15 15:06:51  qboosh
- use individual dir, more verbose files and explicit BRs, release 1

Revision 1.11  2006/01/12 13:33:55  qboosh
- 1.0.1 (X11R7.0 release)

Revision 1.10  2005/12/09 13:58:56  qboosh
- 0.99.3 (X11R7.0-RC3)

Revision 1.9  2005/11/19 21:10:29  qboosh
- 0.99.2 (X11R7.0-RC2)

Revision 1.8  2005/10/22 17:59:03  qboosh
- pkgconfig epoch

Revision 1.7  2005/10/21 22:21:15  qboosh
- 0.99.1 (X11R7.0-RC1)

Revision 1.6  2005/08/28 10:47:32  qboosh
- merged descs from X11.spec, Obsoletes for X.org/XFree86 packages

Revision 1.5  2005/08/27 21:46:18  qboosh
- sorted BRs

Revision 1.4  2005/08/27 20:04:01  wiget
- standard permisions to binaries

Revision 1.3  2005/08/27 20:00:44  wiget
- cleanups, kill /usr/X11R6

Revision 1.2  2005/08/27 17:42:47  wiget
- s/pkg-config/pkgconfig/ in BR:

Revision 1.1  2005/08/15 12:17:57  arekm
- new try
- all xorg files prefixed with xorg-kind_of_package where kind of package can be seen at http://xorg.freedesktop.org/X11R7.0-RC0/

Revision 1.1  2005/08/14 22:46:41  arekm
- modular xorg specs

* Sat Aug 13 2005 19:02:49  Tomasz Trojanowski  <trojan@pld-freebsd.org>
- fixed summaries and descriptions
- fixed Group
- defined %%{_prefix} and %%{_mandir}
- added BR: libXmu-devel
- release 0.02

* Sun Aug  7 2005 20:31:22  Tomasz Trojanowski  <trojan@pld-freebsd.org>
- initial release
